<header class="d-flex container-fluid justify-content-around h-100" id="m-primary">
    <nav class="d-flex w-100 flex-fill flex-row justify-content-center align-items-center container-fluid m-0">
        <a class="navbar-brand" href="/">
            <img src="{{ url_for('static', filename='icons/decathlon-logo.svg') }}" alt="Decathlon"/>
        </a>

        <div class="flex-grow-1"></div>

        <div class="d-flex justify-content-center align-items-center h-100">

            {% if user.is_logged_in %}

            <div class="dropdown h-100">
                <a href="/data/visualise"
                   class="d-flex h-100 px-1 justify-content-center align-items-center flex-fill flex-column btn-primary h-100 me-2
                            dropdown-toggle m-nav-item"
                   role="button" data-toggle="dropdown" aria-haspopup="true"
                   aria-expanded="false">
                    <div>
                        <img
                                class="flex-fill"
                                src="{{ url_for('static', filename='icons/database-fill.svg') }}"
                                style="width:32px;"
                        />
                    </div>
                    Mes données
                </a>
                <div class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdownMenuLink">
                    <a class="dropdown-item" href="/data/add">Add data</a>
                    <a class="dropdown-item" href="/data/visualise">Visualise data</a>
                </div>
            </div>
            <div class="dropdown h-100">
                <a class="d-flex h-100 px-1 m-nav-item justify-content-center align-items-center flex-fill flex-column btn-primary h-100 dropdown-toggle"
                   role="button" data-toggle="dropdown" aria-haspopup="true"
                   aria-expanded="false">
                    <div>
                        <img
                                class="flex-fill"
                                src="{{ url_for('static', filename='icons/user-line.svg') }}"
                                style="width:32px;"
                        />
                    </div>
                    {{ user.name }}
                </a>
                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink">
                    <a class="dropdown-item" href="/delete">Delete account</a>
					<a class="dropdown-item" href="/logout">Logout</a>
				</div>
            </div>

            {% else %}

				<a
					 href="/login"
					 class="d-flex m-nav-item px-1 h-100 justify-content-center align-items-center flex-fill flex-column btn-primary h-100" role="button">
					<div>
						<img
								class="flex-fill svg"
								src="{{ url_for('static', filename='icons/user-line.svg') }}"
								style="width:32px;"
						/>
					</div>
					<p class="m-0 mt-1 p-0">connexion</p>
				</a>

            {% endif %}
        </div>
    </nav>
</header>